hard_dependencies = ("numpy", )
missing_dependencies = []

for dependency in hard_dependencies:
    try:
        __import__(dependency)
    except ImportError as e:
        missing_dependencies.append(dependency)

if missing_dependencies:
    raise ImportError("Missing required dependencies {0}".format(missing_dependencies))

from .optimization import *
from .analysis import *
from .bau import *
from .cost import *
from .damage import *
from .damage_simulation import *
from .forcing import *
from .storage_tree import *
from .tree import *
from .utility import *

